Name:           perl-Clownfish-CFC
Version:        0.4.4
Release:        1%{?dist}
Summary:        Compiler for Apache Clownfish
# Unbundled lemon:  ASL 2.0
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Clownfish-CFC/
Source0:        http://www.cpan.org/authors/id/N/NW/NWELLNHOF/Clownfish-CFC-%{version}.tar.gz
# Use system lemon, <https://issues.apache.org/jira/browse/CLOWNFISH-60>
Patch0:         Clownfish-CFC-0.4.2-Use-system-lemon-if-possible.patch
# There is charmonizer.c which is becoming a separate project
# <git://git.apache.org/lucy-charmonizer.git>. However, lucy-charmonizer has
# not yet been released <http://lucy.apache.org/download.html>. Also
# Clownfish-CFC'c lib/Clownfish/CFC/Perl/Build/Charmonic.pm still relies on
# the local location. charmonizer.c is used only at build time.
# Therefore I'm not going to unbudle the charmonizer.c now.
BuildRequires:  coreutils
BuildRequires:  findutils
# gcc for standard library headers
BuildRequires:  gcc
BuildRequires:  lemon
BuildRequires:  perl
BuildRequires:  perl-devel
# Modules from buildlib and Clownfish::CFC::Perl::Build::Charmonic from lib
# are used for building 
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Devel::PPPort) >= 3.14
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
# Clownfish not used at tests
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.18
# Yes, ExtUtils::CBuilder::Platform::Windows::GCC is required
BuildRequires:  perl(ExtUtils::CBuilder::Platform::Windows::GCC)
BuildRequires:  perl(ExtUtils::Mkbootstrap)
BuildRequires:  perl(ExtUtils::ParseXS) >= 2.16
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(File::stat)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Clownfish not used. I believe it's used only when Clownfish-CFC is called
# from the Clownfish. Adding symetric dependenc between Clownfish-CFC and
# Clownfish would create a cycle which is not desired for bulding and
# idempotent at run-time.
Requires:       perl(Devel::PPPort) >= 3.14
Requires:       perl(ExtUtils::CBuilder) >= 0.18
# Yes, ExtUtils::CBuilder::Platform::Windows::GCC is required
Requires:       perl(ExtUtils::CBuilder::Platform::Windows::GCC)
Requires:       perl(ExtUtils::Mkbootstrap)
Requires:       perl(ExtUtils::ParseXS) >= 2.16

# Filter non-versioned provides. Clownfish/CFC.pm extends name spaces of all
# the other modules that are defined with version in their respective files.
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}^perl\\([^)]*\\)$

%description
This is a compiler for Apache Clownfish.

%prep
%setup -q -n Clownfish-CFC-%{version}
%patch0 -p1
# Unbundle lemon
rm -rf lemon
sed -i -e '/^lemon\//d' MANIFEST

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%doc CONTRIBUTING NOTICE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Clownfish*
%{_mandir}/man3/*

%changelog
* Thu Feb 04 2016 Petr Pisar <ppisar@redhat.com> - 0.4.4-1
- 0.4.4 bump

* Mon Jan 25 2016 Petr Pisar <ppisar@redhat.com> - 0.4.3-1
- 0.4.3 bump

* Thu Sep 17 2015 Petr Pisar <ppisar@redhat.com> 0.4.2-1
- Specfile autogenerated by cpanspec 1.78.
